Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class FTPConnectionClosedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--org.apache.commons.net.ftp.FTPConnectionClosedException

All Implemented Interfaces:
  java.io.Serializable

public class FTPConnectionClosedException
extends java.io.IOException

FTPConnectionClosedException is used to indicate the premature or unexpected closing of an FTP connection resulting from a FTPReply.SERVICE_NOT_AVAILABLE response (FTP reply code 421) to a failed FTP command. This exception is derived from IOException and therefore may be caught either as an IOException or specifically as an FTPConnectionClosedException.

Author:
  Daniel F. Savarese
See Also:
  `FTP`, `FTPClient`, Serialized Form

Constructor Summary
`FTPConnectionClosedException()` Constructs a FTPConnectionClosedException with no message
`FTPConnectionClosedException(java.lang.String message)` Constructs a FTPConnectionClosedException with a specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTPConnectionClosedException

    public FTPConnectionClosedException()

  Constructs a FTPConnectionClosedException with no message

### FTPConnectionClosedException

    public FTPConnectionClosedException(java.lang.String message)

  Constructs a FTPConnectionClosedException with a specified message.

Parameters:
  `message` - The message explaining the reason for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.